<?php
if (!$db_lnk = sqlite_open("/var/wwwdata/testphp.db", 0666, $msg)){
  echo 'Błąd podczas próby połączenia z bazą...<br />';
  echo "Komunikat błędu: $msg";
  exit;
}

$query = "INSERT INTO osoba VALUES(";
$query .= "11, 'Maciej', 'Nowak', 1982, 'Lublin'";
$query .= ")";

if(!sqlite_exec($db_lnk, $query, $msg)){
  mysql_close();
  echo 'Błąd: zapytanie zostało odrzucone...<br />';
  echo "Komunikat błędu: $msg";
  exit;
}

$rowsNo = sqlite_changes($db_lnk);

echo "Liczba dodanych rekordów: $rowsNo <br />";

sqlite_close($db_lnk);
?>
